html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

html, body {
    margin: 0 !important;
    height: 100% !important;
}

body {
    font-family: 'Segoe UI', Arial, sans-serif;
    font-size: 14px;
    margin: 0;
    display: flex;
    flex-direction: column;
}

.container {
    display: flex;
    overflow: auto;
}
main {
    flex: 1;
    display: flex;
}

#app-navbar {
    min-height: 46px;
}

#breadcrumb {
    min-height: 30px;
}

.container {
    flex: 1;
}

.vsl-home-content {
    display: flex;
    flex-direction: column;
    flex: 1;
}

.vsl-folder-content {
    flex: 1;
    display: flex;
}

.vsl-table-content {
    flex: 1;
    display: flex;
}

.vsl-section {
    display: flex;
    flex-direction: column;
    margin: 5px;
}

    .vsl-section fieldset {
        border-radius: 4px;
        border: 2px solid;
        min-height: 90px;
    }

.k-card {
    min-width: 180px;
    border-color: rgba(0,0,0,0.5)
}


.k-card-header  {
    display: flex;
    justify-content: space-between;
    align-items: stretch;
}

.k-card-header div {
    font-size: 20px;
}

.k-card-body {
    display: flex;
    flex-direction: row;
}

.vsl-card-content {
    flex: 1;
    column-gap: 15px;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.vsl-card-actions {
    display: flex;
    flex-direction: column;
    row-gap: 8px
}

.vsl-action {
    cursor: pointer;
}

.k-card-actions {
    display: flex;
    justify-content: center;
}

.k-card-container {
    display: flex;
    gap: 15px;
    flex-wrap: wrap;
}

.k-card a {
    text-decoration: none; 
    color: unset;
}

#app-drawer {
    display: flex;
}

#app-drawer a {
    text-decoration: none;
    color: unset;
}

#app-drawer .k-selected {
    font-weight: bold;
}

#vsl-section-breadcrumb {
    display: flex;
    justify-content: space-between;
    height: 50px;
    margin: 5px;
}


.vsl-logo {
    min-width: 40px;
    max-width: 90px;
    min-height: 2em;
    max-height: 30px;
    /*border: 1px solid red;*/
}

.vsl-button {
    margin: 5px;
}

.form-section {
    margin: 5px;
}

#vsl-breadcrumb-actions {
    display: flex;
    margin: 5px;
}

.vsl-poweredby {
    order: 1000;
}
.strong {
    font-weight: bold;
}

.k-card-container {
    align-items: flex-start;
    align-content: flex-start;
    overflow: auto;
}
.k-card-header > .k-icon {
    margin-left: 15px;
}

.k-card {
    min-width: 250px;
    max-width: 250px;
}